<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Mouse Events</title>
    <style>
        #items {
            font-size: 20pt;
            border: thin solid #999;
            width: 50%;
            padding: 40px;
            background-color: #eeeeee;
        }
        #items li {
            border: thin solid #999;
            margin-bottom: 25px;
            width: 80%;
            background-color: #fff;
        }
    </style>
</head>
<body>
    <h1>Mouse Events</h1>
    <ul id="items">
        <li>item 1</li>
        <li>item 2</li>
        <li>item 3</li>
    </ul>

    <script>
        let items = document.querySelector('#items');
        items.addEventListener("mouseleave", function (event) {
            event.target.style.color = "green";
            setTimeout((ev) => {event.target.style.color = '';}, 50000);
        }, false);

        items.addEventListener("mouseout", function (event) {
            event.target.style.color = "orange";
            event.target.style.fontWeight = "bold";
            setTimeout((ev) => {event.target.style.color = '';}, 10000);
        }, false);
    </script>
</body>
</html>
